Package ghidra.rmi.trace

# Interface TraceRmi.RequestDeleteRegisterValueOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `TraceRmi.RequestDeleteRegisterValue`, `TraceRmi.RequestDeleteRegisterValue.Builder`

Enclosing class:
  `TraceRmi`

public static interface TraceRmi.RequestDeleteRegisterValueOrBuilder extends com.google.protobuf.MessageOrBuilder

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getNames(int index)`
  `repeated string names = 4;`
  `com.google.protobuf.ByteString`
  `getNamesBytes(int index)`
  `repeated string names = 4;`
  `int`
  `getNamesCount()`
  `repeated string names = 4;`
  `List<String>`
  `getNamesList()`
  `repeated string names = 4;`
  `TraceRmi.DomObjId`
  `getOid()`
  `.ghidra.rmi.trace.DomObjId oid = 1;`
  `TraceRmi.DomObjIdOrBuilder`
  `getOidOrBuilder()`
  `.ghidra.rmi.trace.DomObjId oid = 1;`
  `TraceRmi.Snap`
  `getSnap()`
  `.ghidra.rmi.trace.Snap snap = 2;`
  `TraceRmi.SnapOrBuilder`
  `getSnapOrBuilder()`
  `.ghidra.rmi.trace.Snap snap = 2;`
  `String`
  `getSpace()`
  `string space = 3;`
  `com.google.protobuf.ByteString`
  `getSpaceBytes()`
  `string space = 3;`
  `boolean`
  `hasOid()`
  `.ghidra.rmi.trace.DomObjId oid = 1;`
  `boolean`
  `hasSnap()`
  `.ghidra.rmi.trace.Snap snap = 2;`

  ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

  `isInitialized`

  ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### hasOid

    boolean hasOid()
    `.ghidra.rmi.trace.DomObjId oid = 1;`
    Returns:
      Whether the oid field is set.

  - ### getOid

    TraceRmi.DomObjId getOid()
    `.ghidra.rmi.trace.DomObjId oid = 1;`
    Returns:
      The oid.

  - ### getOidOrBuilder

    TraceRmi.DomObjIdOrBuilder getOidOrBuilder()
    `.ghidra.rmi.trace.DomObjId oid = 1;`

  - ### hasSnap

    boolean hasSnap()
    `.ghidra.rmi.trace.Snap snap = 2;`
    Returns:
      Whether the snap field is set.

  - ### getSnap

    TraceRmi.Snap getSnap()
    `.ghidra.rmi.trace.Snap snap = 2;`
    Returns:
      The snap.

  - ### getSnapOrBuilder

    TraceRmi.SnapOrBuilder getSnapOrBuilder()
    `.ghidra.rmi.trace.Snap snap = 2;`

  - ### getSpace

    String getSpace()
    `string space = 3;`
    Returns:
      The space.

  - ### getSpaceBytes

    com.google.protobuf.ByteString getSpaceBytes()
    `string space = 3;`
    Returns:
      The bytes for space.

  - ### getNamesList

    List<String> getNamesList()
    `repeated string names = 4;`
    Returns:
      A list containing the names.

  - ### getNamesCount

    int getNamesCount()
    `repeated string names = 4;`
    Returns:
      The count of names.

  - ### getNames

    String getNames(int index)
    `repeated string names = 4;`
    Parameters:
      `index` - The index of the element to return.
    Returns:
      The names at the given index.

  - ### getNamesBytes

    com.google.protobuf.ByteString getNamesBytes(int index)
    `repeated string names = 4;`
    Parameters:
      `index` - The index of the value to return.
    Returns:
      The bytes of the names at the given index.